Bug 5626 - AIX build issue with static array
AIX build issue with static array
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
3.2.0
PPC AIX
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 02:09 UTC by Jeremy
Modified: 2010-04-28 11:10 UTC (History)
1 user (show)

See Also:


Attachments
Patch to build samba-3.2.X on AIX 5.3 (using IBM xlc or cc) (6.42 KB, patch)
2009-05-15 02:15 UTC, Jeremy
no flags Details
patch for 3.4 (3.17 KB, patch)
2009-08-30 04:15 UTC, Volker Lendecke
bjacke: review+
Details
patch for 3.3 (3.16 KB, patch)
2009-08-30 04:16 UTC, Volker Lendecke
bjacke: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy 2008-07-22 02:09:05 UTC
When running gmake, i'm having this issue :

"winbindd/winbindd_locator.c", line 30.51: 1506-131 (S) Explicit dimension specification or initializer required for an auto or static array.
and also for the files:

winbindd_idmap.c
winbindd_domain.c



due to declaration like this :

static const struct winbindd_child_dispatch_table locator_dispatch_table[];

........

static const struct winbindd_child_dispatch_table locator_dispatch_table[] = {
        {
                .name           = "DSGETDCNAME",
                .struct_cmd     = WINBINDD_DSGETDCNAME,
                .struct_fn      = dual_dsgetdcname,
        },{
                .name           = NULL,
        }
};
Comment 1 Jeremy 2009-05-15 02:15:58 UTC
Created attachment 4160 [details]
Patch to build samba-3.2.X on AIX 5.3 (using IBM xlc or cc)
Comment 2 Jeremy 2009-05-15 02:16:30 UTC
Hi,
i solved the build issue by writing this little patch, i just moved the full declaration of the struct * at the begining of the different files:
winbindd_domain.c
winbindd_idmap.c
winbindd_locator.c
Best regards, 
Jeremy
Comment 3 Volker Lendecke 2009-08-30 04:15:35 UTC
Created attachment 4608 [details]
patch for 3.4

I've made an equivalent patch applicable with git format-patch.

Volker
Comment 4 Volker Lendecke 2009-08-30 04:16:46 UTC
Created attachment 4609 [details]
patch for 3.3
Comment 5 Karolin Seeger 2010-02-24 09:13:32 UTC
Pushed to v3-4-test and v3-3-test.
Will be included in 3.3.11 and 3.4.7.

Closing out bug report.

Thanks!
Comment 6 Heinrich Mislik 2010-04-28 10:53:01 UTC
(In reply to comment #5)
> Pushed to v3-4-test and v3-3-test.
> Will be included in 3.3.11 and 3.4.7.

Bus still present in 3.4.7
Comment 7 Volker Lendecke 2010-04-28 11:10:44 UTC
3.4.7 was an emergency security release that killed the expected numbering. The patch is in the v3-4-test branch which will become 3.4.8.

Volker